package com.bzd.system.service.kc.crk;

import com.bzd.common.config.dao.DaoBase;
import com.bzd.common.config.dao.DaoSupport;
import com.bzd.common.config.dao.PageData;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;


/**
*
* 门店收货表 service
* @author LiXiangFei
* @since 2024-10-14
*/

@Service
public class SKcCrkCkReceiptinfoService {

    @Autowired
    private DaoBase dao;

    @Resource(name = "daoSupport")
    private DaoSupport daoSupport;

    public Integer addSKcCrkCkReceiptinfo(PageData pd)throws Exception {
        return daoSupport.update("SKcCrkCkReceiptinfoMapper.addSKcCrkCkReceiptinfo", pd);
    }

    public List<PageData> findSKcCrkCkReceiptinfoList(PageData pd) throws Exception{
        return (List<PageData>) daoSupport.findForList("SKcCrkCkReceiptinfoMapper.selectSKcCrkCkReceiptinfoList", pd);
    }

    public Integer SKcCrkCkReceiptinfoRemove(PageData pd)throws Exception {
        return daoSupport.delete("SKcCrkCkReceiptinfoMapper.SKcCrkCkReceiptinfoRemove", pd);
    }


    public Integer updateSKcCrkCkReceiptinfo(PageData pd)throws Exception {
        return daoSupport.update("SKcCrkCkReceiptinfoMapper.updateSKcCrkCkReceiptinfo", pd);
    }

}
